# Table of contents

* [TWELITE SDK マニュアル](README.md)
* はじめに
  * [TWELITE SDK 利用規定](overview/twelite-sdk-termcond.md)
  * [サポート、対応](overview/supports.md)
  * [モノワイヤレスソフトウェア使用許諾書](overview/mwsla.md)
  * [TWELITE SDKの構成](overview/twelite-sdk-contents.md)
  * [TWELITE SDK 改版履歴](overview/twelite-sdk-changes.md)
  * [本資料のオフラインでの利用](overview/offline-docs.md)
* TWELITE SDKの使用法
  * [TWELITE SDKのインストール](twelite-sdk-howto/install.md)
  * [VSCode での利用](twelite-sdk-howto/vscode.md)
  * [ディレクトリ構成](twelite-sdk-howto/dirs.md)
  * [コマンドラインでのビルド方法](twelite-sdk-howto/cmd-build.md)
  * ビルド定義について
    * [Makefile について](twelite-sdk-howto/build-defs/makefile.md)
    * [Version.mk について](twelite-sdk-howto/build-defs/version_mk.md)
    * [binファイル命名則](twelite-sdk-howto/build-defs/bin-filename.md)
  * [ファームウェア書換](twelite-sdk-howto/firmware-program/README.md)
    * [ファームウェア書換用配線](twelite-sdk-howto/firmware-program/firmprog-wiring.md)
    * [tweterm.py](twelite-sdk-howto/firmware-program/tweterm.py.md)
* TWELIET NET API 解説
  * [用語](tweliet-net-api-desc/terms.md)
  * [TWELITE NET  ライブラリ構造](tweliet-net-api-desc/twelite-net-lib-structure.md)
  * [TWENET 動作フロー](tweliet-net-api-desc/twelite-net-work-flow/README.md)
    * [始動フロー](tweliet-net-api-desc/twelite-net-work-flow/boot-flow.md)
    * [メインループフロー](tweliet-net-api-desc/twelite-net-work-flow/main-loop-flow.md)
    * [無線関連フロー](tweliet-net-api-desc/twelite-net-work-flow/rf-handling-flow.md)
    * [ハードウェアフロー](tweliet-net-api-desc/twelite-net-work-flow/hw-flow.md)
    * [ユーザ定義イベント処理関数フロー](tweliet-net-api-desc/twelite-net-work-flow/prsev-flow.md)
  * [ソースコードの構造](tweliet-net-api-desc/source-code-structure.md)
  * [モジュール](tweliet-net-api-desc/modules.md)
  * [無線パケット](tweliet-net-api-desc/rf-packet/README.md)
    * [パケットの最大長](tweliet-net-api-desc/rf-packet/packet-maxsize.md)
    * [アドレスの指定](tweliet-net-api-desc/rf-packet/addressing.md)
    * [アプリケーションID](tweliet-net-api-desc/rf-packet/application-id.md)
  * [ネットワークについて](tweliet-net-api-desc/networking/README.md)
    * [単純ネット](tweliet-net-api-desc/networking/simple-net/README.md)
      * [送信](tweliet-net-api-desc/networking/simple-net/simplenet-tx.md)
      * [受信](tweliet-net-api-desc/networking/simple-net/simplenet-rx.md)
* TWELITE NET API リファレンス
  * [コールバック関数](twelite-net-api-ref/callbacks/README.md)
    * [cbAppColdStart\(\)](twelite-net-api-ref/callbacks/cbappcoldstart.md)
    * [cbAppWarmStart\(\)](twelite-net-api-ref/callbacks/cbappwarmstart.md)
    * [cbToCoNet\_vMain\(\)](twelite-net-api-ref/callbacks/cbtoconet_vmain.md)
    * [cbToCoNet\_vRxEvent\(\)](twelite-net-api-ref/callbacks/cbtoconet_vrxevent.md)
    * [cbToCoNet\_vTxEvent\(\)](twelite-net-api-ref/callbacks/cbtoconet_vtxevent.md)
    * [cbToCoNet\_vNwkEvent\(\)](twelite-net-api-ref/callbacks/cbtoconet_vnwkevent.md)
    * [cbToCoNet\_vHwEvent\(\)](twelite-net-api-ref/callbacks/cbtoconet_vhwevent.md)
    * [cbToCoNet\_u8HwInt\(\)](twelite-net-api-ref/callbacks/cbtoconet_u8hwint.md)
  * TWELITE NET関数
    * [ToCoNet\_vMacStart\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_vmacstart.md)
    * [ToCoNet\_bMacTxReq\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_bmactxreq.md)
    * [ToCoNet\_u32GetSerial\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_u32getserial.md)
    * [ToCoNet\_u32GetRand\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_u32getrand.md)
    * [ToCoNet\_vSleep\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_vsleep.md)
    * [ToCoNet\_vDebugInit\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_vdebuginit.md)
    * [ToCoNet\_vDebugLevel\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_vdebuglevel.md)
    * [ToCoNet\_u32GetVersion\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_u32getversion.md)
    * [ToCoNet\_bRegisterAesKey\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_bregisteraeskey.md)
    * [ToCoNet\_vRfConfig\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_vrfconfig.md)
    * [ToCoNet\_vChConfig\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_vchconfig.md)
    * [ToCoNet\_Tx\_vProcessEventQueue\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_tx_vprocesseventqueue.md)
    * [ToCoNet\_u16RcCalib\(\)](twelite-net-api-ref/twelite-net-funcs/toconet_u16rccalib.md)
  * [型 typedef, よく使うマクロ](twelite-net-api-ref/typedef-yokuumakuro.md)
  * 構造体
    * [sToCoNet\_AppContext](twelite-net-api-ref/structs/stoconet_appcontext.md)
    * [tsRxDataApp](twelite-net-api-ref/structs/tsrxdataapp.md)
    * [tsTxDataApp](twelite-net-api-ref/structs/tstxdataapp.md)
  * TWELITE NET マクロ
    * [ToCoNet\_REG\_MOD\_ALL\(\)](twelite-net-api-ref/macros/toconet_reg_mod_all.md)
    * [utils.h](twelite-net-api-ref/macros/utils.h.md)
  * [ユーザ定義イベント処理関数](twelite-net-api-ref/prsev/README.md)
    * [ステート（状態）](twelite-net-api-ref/prsev/states.md)
    * [イベント](twelite-net-api-ref/prsev/events.md)
    * ToCoNet\_Event API
      * [ToCoNet\_Event\_Register\_State\_Machine\(\)](twelite-net-api-ref/prsev/toconet_event-api/toconet_event_register_state_machine.md)
      * [ToCoNet\_Event\_Process\(\)](twelite-net-api-ref/prsev/toconet_event-api/toconet_event_process.md)
      * [ToCoNet\_Event\_SetState\(\)](twelite-net-api-ref/prsev/toconet_event-api/toconet_event_setstate.md)
      * [ToCoNet\_Event\_vKeepStateOnRamHoldSleep\(\)](twelite-net-api-ref/prsev/toconet_event-api/toconet_event_vkeepstateonramholdsleep.md)
      * [ToCoNet\_Event\_u32TickFrNewState\(\)](twelite-net-api-ref/prsev/toconet_event-api/toconet_event_u32tickfrnewstate.md)
  * モジュール ライブラリ
    * [ENERGY SCAN](twelite-net-api-ref/module-lib/energy-scan.md)
    * [NB SCAN](twelite-net-api-ref/module-lib/nb-scan.md)
  * [PRSEV ライブラリ](twelite-net-api-ref/prsev-raiburari.md)
  * グローバル変数
    * [uint32 u32TickCount\_ms](twelite-net-api-ref/global-vars/uint32-u32tickcount_ms.md)
    * [sToCoNet\_AppContext](twelite-net-api-ref/global-vars/stoconet_appcontext.md)
  * [PANIC](twelite-net-api-ref/panic.md)
* [HW API リファレンス](hw-api-ref/README.md)
  * ペリフェラル
    * [DIO](hw-api-ref/peripherals/dio.md)
    * [TickTimer](hw-api-ref/peripherals/ticktimer.md)
    * [UART](hw-api-ref/peripherals/uart/README.md)
      * SERIAL ライブラリ
        * [SERIAL\_vInit\(\)](hw-api-ref/peripherals/uart/serial-lib/serial_vinit.md)
        * [SERIAL\_vInitEx\(\)](hw-api-ref/peripherals/uart/serial-lib/serial_vinitex.md)
        * [SERIAL\_bRxQueueEmpty\(\)](hw-api-ref/peripherals/uart/serial-lib/serial_brxqueueempty.md)
        * [SERIAL\_i16RxChar\(\)](hw-api-ref/peripherals/uart/serial-lib/serial_i16rxchar.md)
        * [SERIAL\_vFlush\(\)](hw-api-ref/peripherals/uart/serial-lib/serial_vflush.md)
        * [tsSerialPortSetup](hw-api-ref/peripherals/uart/serial-lib/tsserialportsetup.md)
        * [tsUartOpt](hw-api-ref/peripherals/uart/serial-lib/tsuartopt.md)
      * fprintf ライブラリ
        * [vfPrintf\(\)](hw-api-ref/peripherals/uart/fprintf-lib/vfprintf.md)
        * [vPutChar\(\)](hw-api-ref/peripherals/uart/fprintf-lib/vputchar.md)
        * [tsFILE](hw-api-ref/peripherals/uart/fprintf-lib/tsfile.md)
    * [Timer](hw-api-ref/peripherals/timer/README.md)
      * Timerライブラリ
        * [vTimerConfig\(\)](hw-api-ref/peripherals/timer/timer-lib/vtimerconfig.md)
        * [vTimerStart\(\)](hw-api-ref/peripherals/timer/timer-lib/vtimerstart.md)
        * [vTimerStop\(\)](hw-api-ref/peripherals/timer/timer-lib/vtimerstop.md)
        * [vTimerDisable\(\)](hw-api-ref/peripherals/timer/timer-lib/vtimerdisable.md)
        * [tsTimerContext](hw-api-ref/peripherals/timer/timer-lib/tstimercontext.md)
    * [WakeTimer](hw-api-ref/peripherals/waketimer.md)
    * [I2C](hw-api-ref/peripherals/i2c.md)
    * [SPI](hw-api-ref/peripherals/spi.md)
  * Flash, EEPROM
    * [EEPROM](hw-api-ref/storage/eeprom.md)
    * [Flash](hw-api-ref/storage/flash.md)
* [Utils リファレンス、他](utils-ref/README.md)
  * [ByteQueue](utils-ref/bytequeue.md)
  * [u8CCITT8\(\)](utils-ref/u8ccitt8.md)
  * [SPRINTFライブラリ](utils-ref/sprintf-lib.md)
  * [BTMライブラリ\(連照式 DIO 入力 \)](utils-ref/btm-lib.md)

