# SPI

SPIバスはセンサー等の読み書きに利用されます。

{% hint style="info" %}
Samp\_SPI サンプルを参考にしてください。
{% endhint %}

SPIバスを利用する場合、SPI セレクトピンを必要なデバイス分だけ確保されます。ピンは SEISEL0 のピンから順に割り当てられます。

以下に初期化と読み書きの例を挙げます。

```c
#define SLAVE_ENABLE2		(1)			//	DIO19とDIO0を用いる
#define CS_DIO19			(0x01)		//	SPISEL0:DIO19に接続したものを使う
#define CS_DIO0				(0x02)		//	SPISEL1:DIO0に接続したものを使う

// SPI の初期化
vAHI_SpiConfigure(SLAVE_ENABLE2, // SPISEL0,1 の２つを利用する
					  E_AHI_SPIM_MSB_FIRST,
					  TRUE,
					  TRUE,
					  1,
					  E_AHI_SPIM_INT_DISABLE,
					  E_AHI_SPIM_AUTOSLAVE_DSABL);

// 読み書きシーケンス
vAHI_SpiSelect(CS_DIO0); // SPISEL1 を有効にする
vAHI_SpiStartTransfer(
					15, // 15+1 bit の転送
					0x1234 ); // 0x1234 を送信
while(bAHI_SpiPollBusy()); // 送受信を実効

// 上記転送で読み出したデータを参照する
uint16 = u16AHI_SpiReadTransfer16();

// SPI の動作停止
vAHI_SpiStop();
```

