# モジュール

TWELITE NET のライブラリの機能取捨選択をコンパイル時に行います。いくつかの機能は依存関係があります。

| モジュール定義 | 解説 |
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| ToCoNet\_REG\_MOD\_ENERGYSCAN | チャネルの入力レベルを計測します。入力時には送受信が不可能になります。 関数： ToCoNet\_EnergyScan\_bStart\(\)イベント：E\_EVENT\_TOCONET\_ENERGY\_SCAN\_COMPLETE |
| ToCoNet\_USE\_MOD\_NBSCAN ToCoNet\_USE\_MOD\_NBSCAN\_SLAVE | 近隣のモジュールを探索します。関数：ToCoNet\_NbScan\_bStart\(\), ToCoNet\_NbScan\_bStartToFindRole\(\), ToCoNet\_NbScan\_bStartToFindAddr\(\)イベント：E\_EVENT\_TOCONET\_NWK\_SCAN\_COMPLETE |
| ToCoNet\_USE\_MOD\_RAND\_XOR\_SHIFT   | 乱数生成アルゴリズムを登録します。登録しない場合は、内蔵のハードウェア乱数が使用されます。ただし、連続的に 32bit の乱数系列が必要な場合はソフトウェア乱数を使用します。外部の32kHz水晶振動子や発振器を接続する場合は、XOR\_SHIFT の定義が必要です。 |
| ToCoNet\_USE\_MOD\_NWK\_LAYERTREE | レイヤーツリー型ネットワーク層を利用します。依存モジュール： ToCoNet\_USE\_MOD\_NBSCAN, ToCoNet\_USE\_MOD\_NBSCAN\_SLAVE, ToCoNet\_USE\_MOD\_DUPCHK |
| ToCoNet\_USE\_MOD\_NWK\_ LAYERTREE\_MININODES | 同報送信専用のレイヤーツリー型ネットワークにデータ送信可能な省電力「ミニノード」。依存モジュール:  ToCoNet\_USE\_MOD\_DUCHK |
| ToCoNet\_USE\_MOD\_DUPCHK | パケットの重複チェッカ。最大４０ノードまでの重複パケットを管理する。レイヤーツリー型「ミニノード」を使用する時には必須定義モジュール。 |
| ToCoNet\_REG\_MOD\_NWK \_MESSAGE\_POOL | メッセージプール機能を利用します。依存モジュール：ToCoNet\_USE\_MOD\_NWK\_LAYERTREE |
| ToCoNet\_USE\_MOD\_CHANNEL\_MGR | チャネルアジリティを利用します。u32ChMask に指定したチャネルを利用して、複数チャネル駆動の通信を行います。 |
| ToCoNet\_USE\_MOD\_TXRXQUEUE\_SMALL　ToCoNet\_USE\_MOD\_TXRXQUEUE\_MID　ToCoNet\_USE\_MOD\_TXRXQUEUE\_BIG | 送信キューのサイズを決定します。SMALLは送信用で 3ヶ、MIDは6ヶ、BIGは20ヶのキューを確保します。パケット分割を行うような一度に多くのパケットを連続的に送信する場合はBIGを指定します。１ヶあたり約128バイトのメモリを消費し、未定義時は MID となります。 |



