# アプリケーションID

TWELIET NET では32bitで指定されるアプリケーションIDにより、同じ物理チャネルの通信でも互いに違うネットワークを構成します。つまり違うアプリケーションID同士の通信は出来ません。

{% hint style="info" %}
IEEE802.15.4 では 16bit の PAN ID により、ネットワークを識別します。TWELITE NET でも PAN ID の仕組みを利用してアプリケーションIDを実装しています。
{% endhint %}

## アプリケーションIDのルール

解説のため 32bit を HHHHLLLL と表記します。つまり、上位１６ビットをHHHH、下位１６ビットを LLLL とします。

### ユーザが指定設定可能な値

この範囲に指定するアドレスは、他のユーザが設定する可能性もあります。万が一重複した場合は、設置者間による調整をする前提で運用してください。

* HHHH : 0x0001 - 0x7FFF
* LLLL: 0x0001 - 0x7FFF

### TWELITE モジュールオーナーが設定可能な値

お持ちの TWELITE モジュールのシリアル番号に 0x80000000 を加えたIDを重複しないアドレスとして利用可能です。

* HHHH : 0x8000 - 0x8FFF
* LLLL: 0x0001 - 0xFFFE



