# 用語

## TWELITE NET

本TWELITE SDKに含まれる、無線通信の手続きライブラリ。

## 単純ネット

TWELITE NETでは特別な中継処理はせず、アプリケーションIDやアドレスによる単純な中継を行う。

## 中継ネット

TWELITE NET内で中継処理を行うための処理を行う方式。

## MAC ACK、ACK、ACK付き

IEEE802.15.4 で定められた配送先がパケットを受信したかどうかを確認する手続き。受信完了直後にごく短い ACK パケットを送り返す。

例外的にACK送信またはACK受信に失敗する場合があるため、ACKが確認が相手先に伝わったことを保証するわけではなく、反対に ACK が得られなかった場合、相手先に伝わらなかったことを保証するわけでもない。

## ノード、局

ある一つの無線機、または、ある共通機能を有する無線機の総称。無線局、親局、子局、中継局のように記述されます。

## [アドレス](rf-packet/addressing.md)（ロングアドレス、ショートアドレス）

無線局を特定するための識別番号。

## 同報通信

無線局を特定せずに一斉に通信する方法。電波を受信できた無線局に伝達される。全ての無線局に伝達されることを保証するわけではない。

## [アプリケーションID](rf-packet/application-id.md)

ネットワーク識別子。同一のアプリケーションIDを有する無線局間のみで通信ができる。

## LQI

Link Quality Indicator。IEEE802.15.4 で規定される通信品質を評価するための値。厳密な定義は違うが RSSI も同じ目的の用語として用いられる。

LQI は規格上、無線パケット通信における物理量や現象に対しての厳格な定義は定められていないが、TWELITE NET では受信時の電界強度相当の値を利用している。

## [DIO](../hw-api-ref/peripherals/dio.md)

汎用IO \(GPIO\) のこと。デジタル入力、出力利用が可能です。

