# ToCoNet\_vMacStart\(\)

## 解説

MAC 層の初期化処理を行います。

{% hint style="info" %}
スリープ起床したとき、無線の送受信を行わず、マイコン処理のみを行う場合は、本関数を呼び出さずに実行します。
{% endhint %}

起動時に [cbAppColdStart](../callbacks/cbappcoldstart.md)\(\), [cbAppWarmStart](../callbacks/cbappwarmstart.md)\(\) の２回目の呼び出し時の一番最後に記述します。

{% hint style="warning" %}
cbAppColdStart\(\), cbAppWarmStart\(\) 以外での呼び出しについては、問題が発生しうる内部設計ではありませんが、動作については未定義とします。必要に応じて、一旦スリープを実行し、スリープ復帰後に無線送信を実施するようにしてください。
{% endhint %}

## 引数

なし。

## 戻り値

なし。

## サンプル

```c
void cbAppWarmStart(bool_t bStart) {
    if (!bStart) {
        // very initial call
    } else {
        // initializing...
        
        // finally start the MAC layer
        ToCoNet_vMacStart();
    }
}
```



