# ToCoNet\_vRfConfig\(\)

## 解説

MAC 層のパラメータ変更を行います。sToCoNet\_AppContext\([tsToCoNet\_AppContext](../structs/stoconet_appcontext.md) 構造体\)の以下に挙げるメンバーが変更可能です。

| u8Channel | \*1 | チャネルを切り替える。切り替えに失敗した場合は、構造体の u8Channel は、設定前の値に戻ります。 |
| --- | --- | --- | --- | --- | --- |
| u32ChMask | \*1 |  |
| u16ShortAddress | \*1 | 自局のショートアドレスを変更する。 |
| u8CPUClk |  | CPUクロックの切り替えには数十usec程度かかります。 |
| u8TxPower | \*1 |  |
| bRxOnIdle |  | FALSEにすると、無線パケットを受信しなくなります。 |

{% hint style="warning" %}
\*1 これらの設定項目の変更を行う場合、無線の送受信中の結果は不定です。

新たに送信するパケットに対して変更を有効にするには、送信キューがすべて処理されてから変更してください。

パケットの直前から受信完了までのタイミングでの変更に関しても、原理的にそのパケットが受信されないことも発生しえます。多くのアプリケーションでは、受信側はいつパケットを受けるか判らないため、切り替えタイミングを調整しない実装を行います。
{% endhint %}

## 引数

なし

## 戻り値

なし

## サンプル

```c
sToCoNet_AppContext.u8Channel = 25;
sToCoNet_u8TxPower = 2;
ToCoNet_vRfConfig();
```



