# Makefile について

ビルド対象のソースコードや諸定義は Makefile に記述します。

| TWELITE | ビルドするモデルを指定する。TWELITE BLUE \(TWE-001 Lite\) の場合は BLUE、TWELITE RED の場合は RED を指定する。 |
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| PROJNAME | 生成ファイル名を決めます。指定が無い場合は ../.. ディレクトリ名を使用します。 |
| APPSRC | コンパイル対象ファイルを指定します。APPSRC+=test.c のように += 演算子を使用します。 |
| TARGET\_TYPE | 生成する対象を指定します。TARGET\_TYPE = bin を指定した場合は実行形式、TARGET\_TYPE = a を指定した場合はライブラリとなります。 |
| TOCONET\_DEBUG | 1ならスタックのデバッグコードを含めます。出力ファイル名に \_TDBG が付記されます。スタックデバッグコードについては、API解説を参照してください。0は含めず、バイナリサイズが若干小さくなります。 |
| CFLAGS | コンパイル時の gcc オプションを追加します。CFLAGS += -DMY\_DEBUG のように += 演算子を利用します。最適化オプションなどは事前定義されていますので指定しないようにしてください。 |
| APP\_COMMON\_SRC\_DIR\_ADD1 .. 4 | ソースおよびヘッダファイルの検索パスを指定します。APP\_COMMON\_SRC\_DIR\_ADD1 = ../mydir  のようにMakefile のあるディレクトリからの相対パスを指定します。 |
| INCFLAGS | インクルードディレクトリのみを追加指定したい場合は、INCLFAGS == -I../mydir のように相対パス指定します。 |
| ADDITIONAL\_LIBS | 追加でリンクしたいライブラリ \(.a\) を指定します。ADDITIONAL\_LIBS += ../mylib.a のように追加します。 |
| ADDITIONAL\_OBJS | 追加でリンクしたいオブジェクトファイル \(.o\) を指定します。ADDITIONAL\_OBJS += ../myobj.o のように追加します。 |
| LDLIBS | コンパイラ付属ライブラリ \(math, sppなど\) を指定します。LDLIBS += m のように追加します。この指定では-lmがリンカに渡されます。 |
| LDFLAGS | リンカへの追加オプションです。LDFLAGS += -u dummy のように追加指定します。必要なオプションは事前に定義されています。 |
| OBJDIR\_SUFF | オブジェクト格納ディレクトリ名に設定した文字列を含める。 |
| TARGET\_SUFF | ターゲット\(.bin\)ファイル名に設定した文字列を含める。 |



