# ディレクトリ構成

TWELITE SDK は、インストール先のディレクトリを基準にして、所定の場所にソースコードなどプロジェクトファイルを格納するように用意されています。

| ディレクトリ | 内容 |
| --- | --- | --- | --- | --- | --- | --- | --- | --- |
| .../MWSDK | TWELITE SDK の最上位ディレクトリ。 |
| .../MWSDK/ChipLib | 半導体ライブラリ |
| .../MWSDK/License | モノワイヤレスソフトウェア仕様許諾書 |
| .../MWSDK/MkFiles | makefile ライブラリ |
| .../MWSDK/Tools | toolchain、書き込みツールなど |
| .../MWSDK/TWENET | TWELITE NET ライブラリ |
|         .../????\_libTWENET | libTWENETUtils ソースコード |
| .../MWSDL/Wks\_TWELITE | アプリ・サンプルのワークスペース |

### Wks\_TWELITE ワークスペースについて

{% hint style="danger" %}
ワークスペースを格納するディレクトリはMWSDK 直下で、かつ、後述する Makefile の相対ディレクトリも変更してはいけません。

.../_MWSDK/{ワークススペースディレクトリ}/{プロジェクトディレクトリ}/{構成ディレクトリ}/Build/Makefile_ 
{% endhint %}

プログラムをビルドするためのワークスペースには、複数のプロジェクトが格納されています。Wks\_TWELITE 内に格納されるプロジェクトは各々個別のアプリケーションをビルドするものです。

```text
.../MWSDK/Wks_TWELITE/ProjectName1/...
.../MWSDK/Wks_TWELITE/ProjectName2/...
...
```

プロジェクト内は以下のような構成になっています。

```text
.../ProjectNameX/
    Variant1/          : 構成１(var1)のビルド
       Source/         : var1 特有のソースコード
       Build/          : 生成バイナリの格納場所
           Makefile    : var1 の生成ルール
           Version.mk  : var1 のバージョン情報
    Variant2/...       : 構成2
    Common/            : 構成間共通のソースなど
```

* 同じプロジェクトでも、構成が一つのみの場合もあれば、親機・子機・中継機と構成が別れたソースコードになる場合もあります。





