# ファームウェア書換用配線

ファームウェアを書き換えるための配線について解説します。

{% hint style="warning" %}
表面実装\(SMD\)版のモジュールを実装して、独自に基板設計される場合は、必ずファームウェアの書き換えを行える配線を基板上に用意してください。
{% endhint %}



## ピンについて

プログラムモードで用いる配線を以下に列挙します。これらの信号線を外部からアクセスできるようにします。

| **名称** | **信号名** | **TWELITE DIP\#** | **TWELITE SMD \#** | **備考** |
| --- | --- | --- | --- | --- | --- | --- | --- |
| RST | RESETN | 21 | 21 | モジュールをリセットする（配線しない場合は電源投入で代替できる） |
| RXD | DIO7 | 3 | 9 | シリアル通信線（PC側はTX端子に接続\) |
| PRG | SPIMISO | 7 | 2 | 本品をLO\(GND\)にしてからリセットし、開放\(またはHI\) にするとプログラムモードに遷移する。 |
| TXD | DIO6 | 10 | 8 | シリアル通信線（PC側はRX端子に接続\) |
| GND | GND | 1,14 | 20,28 | 電源供給のため（ピンが複数定義されているが、内部で接続されているため１本接続でも可） |
|  |  |  |  |  |
| VCC | VCC | 28 | 5 | 電源供給のため |

{% hint style="warning" %}
TWELITE R に接続する場合も同名の信号を TWELITE 無線マイコンに直接配線し、VCC も供給します。VCC はTWELITE Rからの出力を流用できます。

まず、当該信号ラインに他の回路が接続されておらず、かつ、上記に挙げない信号線は未接続でお試しください。他の回路が影響して、プログラムモードへの遷移ができなかったり、書き換え時に実行されるシリアル通信に問題が出る場合があります。
{% endhint %}

{% hint style="info" %}
[TWELITE R](https://mono-wireless.com/jp/products/TWE-LITE-R/) では、上記の RST RXD PRG TXD GND の順番に 2.54mm ピッチのヘッダピン、ソケットが接続できるようになっています。同じ配列を基板上に用意すれば TWELITE R を流用することができます。
{% endhint %}

## プログラムモード設定手順

| 1 | 無線モジュールを電源OFFにしておきます。 |
| --- | --- | --- | --- | --- | --- | --- |
| 2 | PRG\(SPIMISO\)ピンをGNDに接続します。 |
| 3 | 電源ONにします。（またはリセットでも構いません） |
| 4 | PRG\(SPIMISO\)ピンを未接続にします。（内部プルアップによりピンの状態は Hi になる） |
|  | _この時点でTWELITE 無線モジュールは、ファームウェアを書き換え可能なプログラムモードで起動しています。_ |
| 5 | PC側のファームウェアプログラマーを起動し、対象のシリアルポートに対して接続確認を行います。 |
|  | _接続応答がない場合（シリアル番号などの表示がない、無応答でタイムアウト）は、最初からやり直します。_ |

{% hint style="info" %}
TWELITE R と TWE-Programmer の組み合わせでは、上記 1 〜 5 の手順を自動化しています。

* TWE-Programmer の SAFE モードを設定すれば、自動的なプログラムモード遷移の手続きを省略します。
{% endhint %}



## 配線例（押しボタンスイッチによる制御）

以下のような配線を行います。PRG や RST ピンには押しボタンスイッチが接続されており、ボタンを押すことで GND に落ちるようになっています。

![&#x914D;&#x7DDA;&#x4F8B;](../../.gitbook/assets/image%20%2838%29.png)

以下のように PGM ピンと RST ピンを制御します。PGMピンのボタンを離した直後に TWELITE 無線モジュールはプログラムモードに遷移します。

![](../../.gitbook/assets/image%20%2848%29.png)

{% hint style="warning" %}
スイッチのチャタリング等でうまくいかない場合もあります。TWELITE 無線マイコンが反応しない場合は、やり直してください。

待ち時間については 100ms 程度の短い時間で十分です。
{% endhint %}

