# TWELITE SDKのインストール

TWELITE SDK のインストールは以下の手順になります。

1. ZIP アーカイブの展開
2. IDE \(VSCode のインストール\)

## ZIPアーカイブの展開

TWELITE SDK のアーカイブを展開します。

{% hint style="danger" %}
以下のディレクトリは避けてください。

* 深いディレクトリ
* 日本語名やスペースが含まれるディレクトリ
{% endhint %}

{% hint style="info" %}
本書では Windows でのインストールを C:\MWSDK として記述します。
{% endhint %}



ZIP アーカイブを展開すれば、ビルドに必要なコマンドラインツールは利用可能になりますが、ここでは、開発環境として VSCode について紹介します。

## コマンドラインツールのインストール

{% tabs %}
{% tab title="Windows" %}
Windows は SDK アーカイブ中に必要なツールが含まれます。
{% endtab %}

{% tab title="OS X" %}
コマンドライン \(bash\) にて、make を実行した時エラーが出る場合は XCode のインストールを行います。

```bash
$ xcode-select --install
```

インストール完了後、make を入力して以下のメッセージが出れば OK です。

```bash
$ make
make: *** No targets specified and no makefile found.  Stop.
```
{% endtab %}
{% endtabs %}

## VSCode のインストール

ソースコードの編集と make の呼び出しに [VSCode](https://code.visualstudio.com) を利用できます。TWELITE SDK に付属するビルドプロジェクトには VSCode で作業するための設定定義ファイルが含まれています。

{% hint style="danger" %}
当サポートでは VSCode のインストール方法、使用方法のお問い合わせについては対応いたしません。一般で得られる情報を参照ください。
{% endhint %}

VSCode では、以下のことができます。

* ソースコードの編集
* GIT への接続（お客様が独自にソース管理を GIT 上で行う場合）
* ソースコード解釈に基づく intellisense（＊全ての定義が正確に解釈されることを保証するわけではありません）
* [ビルドを行う make を呼び出す](cmd-build.md#komandorainniyorubirudo)ためのタスク定義

VSCode はリンク先より入手してください。

{% embed data="{\"url\":\"https://code.visualstudio.com\",\"type\":\"link\",\"title\":\"Visual Studio Code - Code Editing. Redefined\",\"description\":\"Visual Studio Code is a code editor redefined and optimized for building and debugging modern web and cloud applications.  Visual Studio Code is free and available on your favorite platform - Linux, macOS, and Windows.\",\"icon\":{\"type\":\"icon\",\"url\":\"https://code.visualstudio.com/favicon.ico\",\"width\":128,\"height\":128,\"aspectRatio\":1},\"thumbnail\":{\"type\":\"thumbnail\",\"url\":\"http://code.visualstudio.com/opengraphimg/opengraph-home.png\",\"width\":1223,\"height\":630,\"aspectRatio\":0.5151267375306623}}" %}

### プラグインの導入

Visual Studio Code が C言語の記述を解釈できるようにするために、プラグインをインストールします。

* C/C++ for Visual Studio Code

インストール手順は下記の通りです。

![Visual Studio Code &#x306E;&#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x30D0;&#x30FC;&#x306E; &quot;&#x8868;&#x793A;&quot; &#x2192; &quot;&#x62E1;&#x5F35;&#x6A5F;&#x80FD;&quot;&#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2837%29.png)

![&#x691C;&#x7D22;&#x30D0;&#x30FC;&#x306B; &quot;C/C++&quot; &#x3068;&#x5165;&#x529B;&#x3057; &quot;C/C++&quot; &#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2816%29.png)

![&#x53F3;&#x56F3;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%289%29.png)

![&#x518D;&#x8AAD;&#x307F;&#x8FBC;&#x307F;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3059;&#x308C;&#x3070;&#x3001;&#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;&#x304C;&#x5B8C;&#x4E86;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2810%29.png)



