# VSCode での利用

VSCode では、コード解釈 \([IntelliSense](https://code.visualstudio.com/docs/editor/intellisense)\) 機能があるため、コード編集が効率的に行えます。またタスク機能により[ビルドコマンド](cmd-build.md)の実行を VSCode から行うことができます。

## プロジェクトを開く

TWELITE のアプリをビルドするためにプロジェクトを Visual Studio Code で開く必要があります。  
プロジェクトを開く手順は下記の通りです。

![&#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x30D0;&#x30FC;&#x306E; &quot;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&quot; &#x2192; &quot;&#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x30FC;&#x3092;&#x958B;&#x304F;&quot;&#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2832%29.png)

![&#x958B;&#x304D;&#x305F;&#x3044;&#x30D7;&#x30EA;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2839%29.png)

![&#x30A8;&#x30AF;&#x30B9;&#x30D7;&#x30ED;&#x30FC;&#x30E9;&#x30FC;&#x4E0A;&#x306B;&#x958B;&#x3044;&#x305F;&#x30D7;&#x30ED;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x304C;&#x8FFD;&#x52A0;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2830%29.png)



## アプリをビルドする

アプリのビルドは下記の手順で行います。VSCode 上から make ユーティリティを実行しています。make の詳細については「[ビルド方法](cmd-build.md)」や「[Makefileについて](build-defs/makefile.md)」を参照してください。

例えば、超簡単！TWELITE標準アプリをビルドする場合、VSCode のタスク”Build App\_Twelite\_Master \(BLUE\)” を選択します。

![&#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x30D0;&#x30FC;&#x306E;&#x201D;&#x30BF;&#x30B9;&#x30AF;&#x201D; &#x2192; &#x201D;&#x30BF;&#x30B9;&#x30AF;&#x306E;&#x5B9F;&#x884C;&#x201D; &#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2844%29.png)

![&#x53F3;&#x56F3;&#x306E;&#x8D64;&#x67A0;&#x5185;&#x3088;&#x308A;&#x30D3;&#x30EB;&#x30C9;&#x3057;&#x305F;&#x3044;&#x5B9A;&#x7FA9;&#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image%20%2811%29.png)

![&#x30BF;&#x30FC;&#x30DF;&#x30CA;&#x30EB;&#x3088;&#x308A;&#x53F3;&#x56F3;&#x306E;&#x8D64;&#x67A0;&#x5185;&#x306E;&#x3088;&#x3046;&#x306A;&#x51FA;&#x529B;&#x304C;&#x3055;&#x308C;&#x308C;&#x3070;&#x30D3;&#x30EB;&#x30C9;&#x6210;&#x529F;&#x3067;&#x3059;&#x3002;](../.gitbook/assets/image%20%286%29.png)

{% hint style="info" %}
VSCode からはコマンドラインの make を実行しているため、エラー等もコマンドラインのエラーメッセージが出力されます。
{% endhint %}

## コード解釈を切り替える

TWELITE BLUE 用のコード解釈と TWELITE RED 用のコード解釈を切り替えることができます。 コード解釈を切り替えるには図の示す場所をクリックして開発対象にあった TWELITE のモデルを選択してください。

{% hint style="info" %}
TWELITE モジュールの種別ごとに特有の C 定義を切り替えます。

コード解釈とコンパイラ解釈が完全に一致することを保証するわけではありません。またヘッダファイルの記述などにより一部解釈できない定義も発生します。
{% endhint %}

![&#x30B3;&#x30FC;&#x30C9;&#x89E3;&#x91C8;&#x3092;&#x5207;&#x308A;&#x66FF;&#x3048;&#x307E;&#x3059;&#x3002;](../.gitbook/assets/image.png)

{% hint style="info" %}
TWELITE モジュールの種別ごとに特有の C 定義を切り替えます。
{% endhint %}

{% hint style="warning" %}
コード解釈とコンパイラ解釈が完全に一致することを保証するわけではありません。またヘッダファイルの記述などにより一部解釈できない定義も発生します。

{% hint style="info" %}
読み込むヘッダファイルは、コンパイラやライブラリのヘッダファイルを直接参照するわけではなく {SDKディレクトリ}/Tools/VSCode/include　以下のコピーを参照します。
{% endhint %}
{% endhint %}

## JSON ファイルについて

上記のビルドやコード解釈については JSON ファイルに定義があります。

### .vscode/c\_cpp\_properties.json

ビルド時の暗黙定義などの定義やインクルードディレクトリの指定を行っています。

追加の定義が必要な場合は、すでにあるファイル中の _"name" : "TWELITE\_BLUE"_ または _"name" : "TWELITE\_RED" _のエントリを複製または編集して使用します。

### .vscode/tasks.json

ビルドタスクの定義を行なっています。

新たにビルド定義を追加する場合は、すでにあるエントリをコピーして編集します。各ビルドタスクには windows, linux, osx 用のエントリーがあります。

```bash
"tasks": [
{ 
  "label": "Build Samp_PingPong,PingPong (BLUE)",
  "type": "shell",
  ..
  "windows": {
     "command": "make",
     "args": [ "TWELITE=BLUE",  "clean", "all" ],
     "options": { "env": { "PATH": "${workspaceRoot}\\..\\..\\Tools\\MinGW\\msys\\1.0\\bin" } }
  },
  "problemMatcher": { "base": "$gcc", "fileLocation": [ "absolute" ] },
  "options": { "cwd": "${workspaceRoot}/PingPong/Build" }
},
..

```

{% hint style="info" %}
* _"options": { "cwd" ... }_ の設定でビルドディレクトリを指定しています。
* make 引数を追加したい場合は、_ "args" _の _"TWELITE=???"_ の後にエントリを追加します。
{% endhint %}



